%define patch_name	kernel-fix-drivers-net

Name: %patch_name
Version: 2004.06.23
Release: alt1

Summary: %patch_name - Linux kernel NIC drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Conflicts: kernel-fix-security-owl < 2004.06.20-alt1

# Patches for 2.4.x
%source  3	2.4_03_comx-driver-compile-1.patch			2.4
%source  4	2.4_04_module_license.patch				2.4
%source 12	2.4_12_orinoco_pci-id.patch				2.4
%source 13	2.4_13_via-rhine-mii-fix.patch				2.4
%source 14	2.4_14_e1000-ethtool_gregs-fix.patch			2.4/14_not_kernel-fix-security-owl

# Patches for 2.6.x
%source 50	2.6_50_eql-check-null.patch				2.6
%source 51	2.6_51_airo-proc-fix.patch				2.6

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux kernel NIC drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed Jun 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.23-alt1
- Renamed patches with 2.4_/2.6_ prefixes.
- Added:
  + 2.6_50_eql-check-null.patch: add NULL checks to the eql driver
  + 2.6_51_airo-proc-fix.patch: fix airo /proc write breakage

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt1
- Apply 14_e1000-ethtool_gregs-fix.patch only when kernel-fix-security-owl is
  not applied.

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 13_8139too-new-ids.patch
  - 14_ne2k-pci-new-ids.patch
  - 15_tulip-21041-media.patch
- Added:
  + 13_via-rhine-mii-fix.patch: fix MII phy scanning bug
  + 14_e1000-ethtool_gregs-fix.patch: fix ETHTOOL_GREGS handling in e1000

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 13_8139too-new-ids.patch: more RTL-8139 clone boards
  + 14_ne2k-pci-new-ids.patch: more ne2k-pci clone boards
  + 15_tulip-21041-media.patch: fix up 21041 media selection

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.28-alt1
- Updated for 2.4.25.
- Removed patches:
  - 02_3c59x.upgrade.patch (seems to cause problems with some old cards)
- Updated patches:
  - 03_comx-driver-compile-1
  - 04_module_license.patch
- Removed obsolete patches (merged upstream):
  - 05_sis900-pci_find_device-fix.patch
  - 06_pppoe-oops.patch
  - 07_b44-update.patch
  - 08_sis900-dev_kfree_skb_irq.patch
  - 09_tulip-mcast-fix.patch
  - 10_pppoe-skb-leak.patch
  - 11_pcnet_cs-update.patch
  - 13_tulip_3CSOHO100B-TX.patch
  - 14_tulip-pci-id.patch

* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.02-alt1
- Added:
  + 13_tulip_3CSOHO100B-TX.patch: tulip: add 3com 3CSOHO100B-TX PCI ID
  + 14_tulip-pci-id.patch: tulip: add another PCI ID

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.16-alt1
- Added:
  + 12_orinoco_pci-id.patch: add Prism 3 ID to orinoco_pci.

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 10_pppoe-skb-leak.patch: Do not leak SKB if sock_queue_rcv_skb()
    fails.
  + 11_pcnet_cs-update.patch: fixed duplex selection for DL10019 cards
    in pcnet_cs driver.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 09_tulip-mcast-fix.patch - fix multicast list handling for tulip.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 05_sis900-pci_find_device-fix.patch
  + 06_pppoe-oops.patch
  + 07_b44-update.patch
  + 08_sis900-dev_kfree_skb_irq.patch

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 04_module_license.patch: add missing MODULE_LICENSE

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.09.02-alt1
- removed 01_2.4.21-rc8-netdrvr1.patch

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt4
- spec typos fixed

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt3
- spec improvements: using %%source and %%install_patches macroses
- 3c59x update added

* Mon Jun 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt2
- comx driver compilation fix added

* Tue Jun 17 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt1
- Initial release

